#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		__python	/usr/bin/python3
%define		sname		%(echo %{name} | cut -d '-' -f1)
#-----------------------------------------------------------------------------
Name		:	blink-qt
Version		:	5.5.1
Release		:	14.4.0.0%{?dist}
Summary		:	A state of the art, easy to use SIP client

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv3+
URL		:	http://icanblink.com

Source0		:	https://github.com/AGProjects/blink-qt/releases/tag//blink-qt-%{version}.tar.gz
 


#-----------------------------------------------------------------------------
BuildRequires	:	libvncserver-devel
BuildRequires	:	python-build
BuildRequires	:	python-installer
BuildRequires	:	python-packaging
BuildRequires	:	python-pep517
BuildRequires	:	python-pyparsing
BuildRequires	:	python-wheel
BuildRequires	:	python3
BuildRequires	:	python3-cython
BuildRequires	:	python3-tomli

Requires	:	python3-application
Requires	:	python3-eventlib
Requires	:	desktop-file-utils

#-----------------------------------------------------------------------------
%description
This is Blink Qt, a state of the art, easy to use
SIP client for Linux and other operating systems
that support Python 3 and Qt 5.


#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%{_bindir}/%{sname}
%{python3_sitelib}/%{sname}/*.py
%{python3_sitelib}/%{sname}/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/configuration/*.py
%{python3_sitelib}/%{sname}/configuration/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/screensharing/_rfb.cpython-311-x86_64-linux-gnu.so
%{python3_sitelib}/%{sname}/screensharing/*.py
%{python3_sitelib}/%{sname}/screensharing/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/streams/*.py
%{python3_sitelib}/%{sname}/streams/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/update/*.py
%{python3_sitelib}/%{sname}/update/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/widgets/*.py
%{python3_sitelib}/%{sname}/widgets/__pycache__/*.pyc
%{python3_sitelib}/%{sname}-%{version}.dist-info/
%{_datadir}/applications/%{sname}.desktop
%{_datadir}/pixmaps/%{sname}.xpm
%{_datadir}/%{sname}/chat/*.style
%{_datadir}/%{sname}/chat/*.html
%{_datadir}/%{sname}/chat/styles/Smooth*Operator/*.style
%{_datadir}/%{sname}/chat/styles/Smooth*Operator/css/topic.css
%{_datadir}/%{sname}/chat/styles/Smooth*Operator/html/*.html
%{_datadir}/%{sname}/chat/styles/Smooth*Operator/style.xml
%{_datadir}/%{sname}/chat/styles/Smooth*Operator/test/*.png
%{_datadir}/%{sname}/chat/styles/Smooth*Operator/test/mockup.html
%{_datadir}/%{sname}/chat/styles/Smooth*Operator/test/view.py
%{_datadir}/%{sname}/chat/styles/Stockholm/*.style
%{_datadir}/%{sname}/chat/styles/Stockholm/css/*.css
%{_datadir}/%{sname}/chat/styles/Stockholm/html/*.html
%{_datadir}/%{sname}/chat/styles/Stockholm/images/pref-mention-mask.png
%{_datadir}/%{sname}/chat/styles/Stockholm/style.xml
%{_datadir}/%{sname}/chat/styles/Stockholm/test/*.png
%{_datadir}/%{sname}/chat/styles/Stockholm/test/*.html
%{_datadir}/%{sname}/chat/styles/Stockholm/test/view.py
%{_datadir}/%{sname}/i18n/%{sname}_*
%{_datadir}/%{sname}/*.ui
%{_datadir}/%{sname}/icons/%{sname}.ico
%{_datadir}/%{sname}/icons/*.svg
%{_datadir}/%{sname}/icons/*.png
%{_datadir}/%{sname}/icons/work/*.svg
%{_datadir}/%{sname}/icons/work/*.xcf
%{_datadir}/%{sname}/sounds/*.wav
%{_datadir}/%{sname}/tls/ca.crt
%{_datadir}/%{sname}/tls/cas.py
%{_datadir}/%{sname}/tls/default.crt

#-----------------------------------------------------------------------------
%postun
if [ "$1" = 0 ]; then
  %{_bindir}/update-desktop-database 2> /dev/null
  fi

#-----------------------------------------------------------------------------
%posttrans
%{_bindir}/update-desktop-database 2> /dev/null

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build
%{__python}						\
	-m build					\
	--wheel						\
	--no-isolation					\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}


%{__python}						\
	-m installer					\
	--destdir %{buildroot}				\
	dist/*.whl

%{__mkdir_p}						\
	%{buildroot}%{_datadir}/applications/		\
	%{buildroot}%{_datadir}/pixmaps/		\

%{__cp} -a						\
	debian/%{sname}.desktop				\
	%{buildroot}%{_datadir}/applications/

%{__cp} -a						\
	debian/%{sname}.xpm				\
	%{buildroot}%{_datadir}/pixmaps/

#-----------------------------------------------------------------------------
%changelog
